#include <catch.hpp>
#include <pls/library.h>

// BDD style
SCENARIO( "the test_adder works", "[library]" ) {
    GIVEN ("two numbers") {
        WHEN ( "they are positive") {
            THEN ( "the result is positive") {
                REQUIRE(pls::test_adder(1, 2) >= 0);
            }
            THEN ( "the result is the sum of both") {
                REQUIRE(pls::test_adder(1, 4) == 5);
            }
        }
    }
}


// Normal Style
TEST_CASE( "the test_adder can sumup", "[libray]") {
    
}